<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>FIL ASP User Guides</title><!-- For now, we use the doxygen style sheet -->


<link href="" rel="stylesheet" type="text/css">
<style type="text/css">
</style>
<style type="text/css">
</style></head>
<body>
<table width="100%">
<tbody>
<tr>
<td bgcolor="black" width="1"><a href="http://www.ti.com"><img src="html/layer1/tilogo.gif" border="0" height="54" width="222"></a></td>
<td bgcolor="red"><img src="html/layer1/titagline.gif" height="26" width="314"></td>
</tr>
</tbody>
</table>
<h1><a name="FIL_TOP">FIL ASP User
Guide</a></h1>
This guide is divided into the following sections:
<br>
<ul>
<li><a href="#Software_Overview">FIL&nbsp;ASP&nbsp;Overview</a></li>
<li><a href="#Documentation_Links">Documentation</a></li>
</ul>
<hr>
<h2><a name="Software_Overview">FIL ASP Overview</a></h2>
<p>Digital filters are undoubtedly the basic building blocks of Audio Signal Processing and
the TI-PA Filter Library/Framework, abbreviated as “FIL”, aims at providing an easy tool/library
for programmers to develop and implement Memory and MIPS-efficient filter-based audio
algorithms. FIL includes a library of filters written in C, serial
assembly, and hand assembly, and optimized for single/double precision data types. FIL has a
filter-independent generic interface provided in two layers: i) XDAIS-ASP interface layer and ii) a
simple filter function-call layer. These are explained in detail in the FIL Application Report
(Reference 4). In layer-1, FIL control code takes care of calling the best filter implementation
possible, with the given filter parameters. This helps to hide the TI-PA Framework and Filter
Library specific details from the developer and make his job easier. The FIL Audio Example
ASPs being developed here show how to use the XDAIS-ASP interface layer (layer-1) and the
simple filter layer (layer-2) of FIL.</p>
<a href="#FIL_TOP">back to top</a><br>
<hr>
<h2><a name="Documentation_Links">Documentation</a></h2>
<ul>
<li><a href="html\layer1\index.html"><span style="font-weight: 700">FIL ASP Layer1
</span><span style="font-weight: bold;">API and detailed documentation</span></a></li>
</ul>
<ul>
<li><a href="html\layer2\index.html"><span style="font-weight: 700">FIL ASP Layer2
</span><span style="font-weight: bold;">API and detailed documentation</span></a></li>
</ul>
<a href="FIL_ASP_user_guide.html#FIL_TOP">back
to top</a>
<hr>
</body></html>